##Use Cases

This section describes general component configuration use cases for the following modes:
- Polling mode
- Transfer mode

---

###General Component Configuration (the same for all use cases)

- __Clock source:__ `Check if the clock source is active. If not, activate it in the Clocks tool.`
- __Clock source frequency:__ `The frequency must be greater than 600 kHz because of baud rate 100000 bps. You can change it in the Clocks tool.`
- __FlexIO peripheral configuration__
    - __SDA pin:__ `Choose the SDA pin to connect I²C master to I²C slave device. The pin must be routed in the Pins tool.`
    - __SCL pin:__ `Choose the SCL pin to connect I²C master to I²C slave device. The pin must be routed in the Pins tool.`
    - __Shifters and timers:__ `Can stay in the default value.`
- __Master I2C configuration__
    - __Enable device in initialization:__ ☑
    - __Enable in debug mode:__ ☑
    - __Requested baud rate [bps]:__ `100000 (default value).`
	
__Slave mode__  
The FlexIO I²C driver supports master mode only. You must use other I²C devices or peripherals (such as I2C, LPI2C etc.) in the slave mode for communication testing.