##Component Overview

### Modes of Operation

**Doze mode** - This mode the low power mode in the SOC system. The FlexSPI will wait for all transactions to complete
and enter doze mode. AHB clock and serial clock domain will be gated off internally, but IPS Bus clock is not gated off.
Control and status register read/write access is available except LUT/IP RX FIFO/IP TX FIFO read/write access. 
Serial Flash Memory access is also not available. This mode is entered by system request.
- To activate mode:**Enable doze mode** ☑  


### Look Up Table

The LUT (Look Up Table) can be configured by default or custom made.
1. To enable custom initialization: **Enable LUT initialization** ☑ 
2. Choose flash type: **NOR** (for now, flexspi component supports only NOR flash type)
3. **LUT structure name**:*FLEXSPI_LUT* (you can edit it and write custom name) 
4. After initialization, in peripherals.c is written a structure that initalize the LUT.
The structure from code is an example, it is for *NXP IMXRT1050*, the flash vendor is *ISSI IS25WP064AJBLE*.
You need to copy the structure in your source code from MCUXpresso IDE.
5. Change the bytes from your vendor manual.

![pic](vendor_flash.png)  

**Figure 4.** *Instruction set*

  ![pic](exemplu_lut.png)  

**Figure 5.** *Example of LUT*

### Devices Configuration

  You can connect up to 4 devices. Every device should have a transfer configuration.
  The operation port should be different for every device (A1, A2, B1, B2).
  For now, you can connect devices only in individual mode.










