##Use Cases

This section describes component use cases for the following scenarios:

- Without the Memory Validation tool
- With the Memory Validation tool 

### Without the Memory Validation Tool

This use case describes the configuration of the spi to connect a device that uses the A1 port, has a flash size of 1024 Kbytes and a data size of 128 bytes.

1. Configure the component as follows:
    - **Clock source for Flash Reading:** *Dummy Read strobe generated by FlexSPI Controller and loopback internally*
    - **Enable doze mode:**☑
    - **Timeout wait cycle for command sequence execution:** *65535*
    - **Timeout wait cycle for IP command grant:** *255*
    - **IP transmit watermark value:** *8*
    - **Receive watermark value:** *8*
    - **AHB configuration:**
        - **Timeout wait cycle for command grant:** *255*
        - **Timeout wait cycle for read/write access:** *65535*
        - **Wait cycle:** *32*
        - **Buffer configuration:** 
            - **Buffer size:** *256*
            - **Enable reader prefetch:** ☑

2. Add the device in **Device configuration** and initialize it as follows:
    - **Flash size:** *1024*
    - **Operation port:** *Access flash on A1 port*
    - **Data size in bytes:** *128*
   Remaining device settings should be initialized according to your external device.

3. Run the application.

###With Memory Validation Tool

Memory Validation tool is a tool that is used for memory validation. FlexSPI uses NOR memory.

**Observation:** You need to manually install latest python27 (2.17.7 is the latest version in this moment) from https://www.python.org/downloads and make sure arm-none-eabi-gdb-py is starting without error. On Windows it's possible that python27.dll is required and must be downloaded 

**Disclaimer:** Memory Validation tool is used only in MCUXpresso IDE.

If you are developing hardware with external memory, you can validate the memory settings with the **FlexSPI Validation** tool. The
tool is available for all FlexSPI peripherals and can be used after selecting the FlexSPI peripheral from the list in the **Peripherals**
view.
Click the **Validation button** in the Settings Editor to open the **Validation** view and run validation scenarios for FlexSPI
settings.

![pic](flexspi_validation_button.png)  

**Figure 6.** *Validation button*

![pic](validation_tool.png)  

**Figure 7.** *Validation tool view*

For more information how to use tool, access [https://community.nxp.com/community/mcuxpresso/mcuxpresso-ide/blog/2019/12/06/imx-rt-memory-validation](https://community.nxp.com/community/mcuxpresso/mcuxpresso-ide/blog/2019/12/06/imx-rt-memory-validation)
















---