/*
 * Copyright 2019 NXP
 * To be used with MCUXpresso Config Tools under its Software License Agreement.
 */
/**
 * Function is used for parsing code from PLU peripheral component string.
 *
 * @param {child} str with code to parse
 * @returns {map} int with dependency inputs map
 */
function codeParseIn(){
	var content = child.getValue();
	var map = 0;

	if (content != 0){
		var regex = /INP.+(\w{10});|OUTPUT_MUX.+(\w{10});/gm;
		var lines = content.split("\n");
		
		for (var i = 0; i < lines.length; i++){
			var regexOut = regex.exec(content);

			if (regexOut != null){
				var signalInp = parseInt(regexOut[1]);
				var signalClk = parseInt(regexOut[2])
				
				if (signalInp < 6){
					map |= (1 << signalInp);
				}
				if (signalClk > 25 && signalClk != 63){
					map |= (1 << 6);
				}
			}
		}
	}
	return map;
}


codeParseIn();
