/*
 * Copyright 2019 NXP
 * To be used with MCUXpresso Config Tools under its Software License Agreement.
 */
/**
 * Function is used for parsing code from PLU peripheral component string.
 *
 * @param {child} str with code to parse
 * @returns {map} int with dependency outputs map
 */
function codeParseOut(){
	var content = child.getValue();
	var map = 0;
	
	if (content != 0){
		var regex = /OUTPUT_MUX\[(\d+)\]/gm;
		var lines = content.split("\n");

		for (var i = 0; i < lines.length; i++){
			var x = regex.exec(content);
			if (x == null){
				return map;
			}
			var signalId = (parseInt(x[1]));
			map |= (1 << signalId);
		}
	}
	return map;
}


codeParseOut();
