/*
 * Copyright 2019 NXP
 * To be used with MCUXpresso Config Tools under its Software License Agreement.
 */
/**
 * Function reads code from PLU peripheral component string (path).
 *
 * @param {child} str with relative or absolute path to plu_tool.c file
 * @returns {content} string with absolute path
 */
function codeParsePath() {
	var path = child.getValue();
	var absFilePath = path;
	var isToolchain = com.nxp.swtools.provider.configuration.SharedConfigurationFactory.getSharedConfigurationSingleton().getToolchainProject().wasProjectDetected();
	var relPathRegex = path.match(/^\.(\/|\\)+/g);
	
	if (relPathRegex != null){
		absFilePath = "No toolchain project is detected, use absolute file path.";
		if (isToolchain) {			
			var locationPath = com.nxp.swtools.provider.configuration.SharedConfigurationFactory.getSharedConfigurationSingleton().getLocationPath().toString();
			var mexStr = locationPath.match(/[^\/]+(?=\/$|$)/g);
			absFilePath = locationPath.replace(mexStr, path.replace(relPathRegex,""));
		}
	}
	return absFilePath;
}


codeParsePath();

