/*
 * Copyright 2019 NXP
 * To be used with MCUXpresso Config Tools under its Software License Agreement.
 */
/**
 * Function reads code from PLU peripheral component string (path).
 *
 * @param {child} str with path to plu_tool.c file
 * @returns {content} string with generated code
 */
function codeRead() {
	var content = 0;
	var str = '';
	var path = child.getValue();
	var javaPath = new java.io.File(path);
	var fileExists = javaPath.exists() && !javaPath.isDirectory();
	
	if (fileExists == true){
		content = new java.lang.String(
			java.nio.file.Files.readAllBytes(
				java.nio.file.Paths.get(path)));
		var lines = content.split("\n");
		for (var i = 0; i < lines.length; i++){
			str = str.concat('  ', lines[i] + "\n");
		}
		content = str.toString();
	}
	return content;
}


codeRead();

