##Peripheral Overview

PWM (Pulse Width Modulation) is the main technique of power electronics.  
PWM in connection with a low pass filter (RC circuit, motor windings) can be used for voltage regulation which is used in the applications like motor control or simple LED light intensity regulation.  

###PWM Signal Description
PWM is two state signal (ON - logical 1 - full source voltage and OFF - logical 0 - ground) where the duration of the *ON state/period = duty* (power transfered to the load) see Fig. 1.  
Then the power (voltage) transfered to the load is taken as average power (voltage) over the period.  

 ![pwm_duty_basic](pwm_duty_basic.PNG)  
  **Figure 1.** *The PWM duty cycle*  

Duty can be changed from 0 - 100% with resolution given by:  
 * Counter resolution (minimum is 2 counter ticks)  
 * Input frequency of the counter (divider is involved)  
 * Desired output PWM frequency/period  

###Types of PMW Signal Synchronization
 * Edge align PWM: all PWM outputs are synchronized at the begining of the period  
 
 ![pwm_edge_align](pwm_edge_align.PNG)  
  **Figure 2.** *Edge align example*  
 
 * Center align PWM: all PWM outputs are synchronized at the middle of the period (green line in the Fig. 3. below)  
 
 ![pwm_center_align](pwm_center_align.PNG)  
  **Figure 3.** *Center align example*  

The eFlexPWM is peripheral primary targeted for power electronic like motor control and DC/DC converters.  
Due to it there are, in comparison to simple timer with PWM mode, additionaly:  
 * Fault inputs  
 * Deadtime support  
 * 4 submodules (SMs) each providing 2 optionally complement outputs (can be connected to the half-bridge power stage).  
 
As you can see in the Fig. 4. below, for the 3 phase motor 3 SMs have to be used.  

 ![pwm_3ph_half_bridge](pwm_3ph_half_bridge.png)  
  **Figure 4.** *Three phase motor connection, PWM SMs (0 - red, 1 - yellow and 2 - blue lines) and channels association (A and B)*  
 
###Deadtime
 * Prevents opening of the both transistors (short) on the half-bridge at once, due to its closing delay  
 * Duty is shortened by deadtime insertion - duty should be corrected, please see the RM for correction method in chapter Deadtime Insertion Logic
 
 ![pwm_deadtime](pwm_deadtime.PNG)  
  **Figure 5.** *Deadtime insertion principle*  
 
###Enhanced Capture
Additionally, you can use output pins of all channels (A,B and X) which are not generating PWM as input capture.  

Main capture features:
 * Possible to specify edges for two capture circuits  
 * Can filter-out input edges (Counter & compare block in Fig. 5) until the specified number of edges are detected   
 
 ![pwm_e_capture](pwm_e_capture.png)  
  **Figure 5.** *Enhanced capture scheme*  
 