##Peripheral overview

The SEMC is a multi-standard memory controller optimized for both high-performance and low pin-count. 
It can support multiple external memories in the same application with shared address and data pins. 
The interface supported includes SDRAM memory.

The key features of SEMC include:
  - Support of memory region with size up to 512 Mbit which can be configured to occupy SDRAM memory space.
  - Up to 5 Chip Select (CS) signals
  - Support of Address Latch Enable (ALE) signal
  - SDRAM interface
    - Supports both 8-bit and 16-bit modes
    - Up to 512Mb per each Chip Select (CS) and up to 4x CS
  - Dynamic I/O sharing which enables multiple external memory devices in parallel 
  - Multi-device access pattern scheduler
    - 8 entries scheduler
    - QoS priority, latency and efficiency adjustable arbitration scheme
  - SDRAM access pattern optimization
    - 8 entries command reordering queue
    - QoS priority, latency and efficiency adjustable arbitration scheme

![pic](semc_block_diagram.png)

**Figure 1.** *SEMC block diagram*