##Use Cases

This section describes component use cases for the following scenarios:

1. Initiliazation mode
2. DCD mode
3. Validation Tool

###1. Initialization Mode
This example uses default configuration. In initialization mode, the data is written in peripherals files.
The initialization code is generated and the functions are written in peripherals.c.
It configures the controller to use external 32 kB SRAM mapped to base address 0x80000000 connected via 16 bit port and one chip select pin.

**1. Component configuration:**

- **SEMC configuration structure** configuration:
    - **Dummy read strobe mode** *Dummy read strobe loopbacked internally*
    - **Command xecution timeout cycles** *0*
    - **Bus timeout cycles** *0x1F*

- **SDRAM** configuration:
    - **CS pin mux** *MUX CSX0 pin*
    - **Chip selection** *SEMC SDRAM CS0*
    - **Base address** *0x80000000*
    - **Memory size in unit of kbytes** *32*
    - **Port size** *16-Bit port size*
    - **Burst length** *Burst length 1*
    - **Column address bit number** *9 bit*
    - **CAS latency** *Latency 3*
    - **Precharge to active wait time [ns]** *18*
    - **Act to read/write wait time [ns]** *18*
    - **Refresh recovery time [ns]** *127*
    - **Write recovery time [ns]** *12*
    - **CKE off minimum time [ns]** *42*
    - **Active to precharge [ns]** *42*
    - **Self refresh recovery time [ns]** *67*
    - **Refresh to refresh wait time [ns]** *60*
    - **Active to active wait time [ns]** *60*
    - **Prescaler timer period** *160*
    - **SDRAM Idle timeout** *0*
    - **Refresh timer period** *64*
    - **Refresh urgent threshold** *64*
    - **Refresh burst length** *1*

**2. Run the application**

###2. DCD Mode

DCD (Data Configuration Data) mode is used, especially, for Memory Validation tool.
The initialization information is contained in the program image and is used to configure on-chip peripherals.
It doesn't use the initialization from peripherals files. To activate this mode: 

**1. Enable DCD mode** ☑ 

**2.** Click the button: **Apply to DCD mode** 

![pic](apply_to_dcd.png)  
**Figure 4.** *Apply to DCD button*

**3.** To see the initialization memory information, open the Device Configuration tool.

![pic](dcd_button.png)  
**Figure 5.** *Open Device Configuration tool*

**4.** After Apply to DCD is used, and the SEMC Init section is created inside DCD tool, you can manually update the values of SEMC registers as you can see below.

![pic](semc_init.png)  
**Figure 6.** *SEMC Init section in Device Configuration Tool*

For more information, access Help > Contents > Device Configuration tool in MCUX Config Tools and Help > Help Contents > MCUXpresso Config Tools User's Guide (IDE) > Device Configuration Tool in MCUX IDE.

###3. Validation Tool

Validation Tool is a tool that is used for validation of the memory. SEMC initalizes SDRAM memory.

**Observation:** User need to manually install latest python27 (2.17.7 is the latest version in this moment) from https://www.python.org/downloads and make sure arm-none-eabi-gdb-py is starting without error. On Windows it is possible that python27.dll to be required and used can be take it from internet. 

**Disclaimer:** Validation Tool can be used only in MCUXpresso IDE.

If you are developing hardware with external memory, you can validate the memory settings with the **SEMC Validation** tool. The
tool is available for all SEMC peripherals and can be used after selecting the SEMC peripheral from the list in the **Peripherals**
view.
Click the **Validation button** in the Settings Editor to open the **Validation** view and run validation scenarios for SEMC memory
settings.

![pic](validation_button.png)
**Figure 7.** *Validation tool view*

For more information about Device Configuration Tool, access:

1. Help > Contents > Device Configuration tool in MCUXpresso Config Tools
2. Help > Help Contents > MCUXpresso Config Tools User's Guide (IDE) > Device Configuration Tool in MCUXpresso IDE
For more information about SEMC Validation Tool, access:
1. Help > Help Contents > MCUXpresso Config Tools User's Guide (IDE) > Peripherals Tool > SEMC Validation Tool
2. https://community.nxp.com/community/mcuxpresso/mcuxpresso-ide/blog/2019/12/06/imx-rt-memory-validation